Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Captures the current camera parameters.

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/parameters' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The set of camera parameters for the current connected camera

Bodyapplication/jsonArray [
displayNamestring or null

The display name of a particular camera setting

valuestring or null

The value of the parameter, the type will vary based on the parameters

]
Response
application/json
[ { "displayName": "CameraParameterName1", "value": "BaslerDartBoundedParameterFloatValue1" }, { "displayName": "CameraParameterName2", "value": "BaslerDartBoundedParameterFloatValue2" } ]

Captures a cropped frame from the camera of a specified deck position

Request

Grabs a cropped frame from the camera of a specified deck position. The position id must be provided. An optional padding (in mm) and height value (in mm) can also be provided.

Security
Bearer
Path
positionIdinteger(int32)required

The position which should be retrieved

paddingnumber(double)

The ammount of desired padding in the view around the position (in mm)

Default 0
zHeightnumber(double)

The Z-axis height (from the bottom of the deck position) at which to sample the position image (in mm)

Default 0
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/position/{positionId}/{padding}/{zHeight}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The PNG image file that was grabbed from the camera of the specified deck position at height (zHeight: mm) and with padding (mm)

Bodyapplication/json
string(binary)
Response
application/json
"string"

Captures a cropped frame from the camera of a specified deck position and draws a tip rack pattern on it.

Request

Grabs a cropped frame from the camera of a specified deck position and draws a tip rack pattern on it. The position id, height of the rack (typically 61mm, 63mm, or 65mm), and desired color (0 - 255) must be provided. This call is useful for debugging purposes, to see how well the calibrations line up, or how well tip detection works.

Security
Bearer
Path
positionIdinteger(int32)required

The position which should be retrieved

zHeightnumber(double)required

The height of the tip rack (typically 61mm, 63mm, or 65mm)

colorinteger(int32)required

The color of the tip rack drawn on the image

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/camera/position/tip-rack/{positionId}/{zHeight}/{color}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The PNG image file that was grabbed from the camera of the specified deck position with a tip rack pattern drawn at specified height

Bodyapplication/json
string(binary)
Response
application/json
"string"

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations